Debian Bug report logs - #248809
Debian user namespace for package-created users

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Francesco Potorti` <pot@gnu.org>

Date: Thu, 13 May 2004 07:33:09 UTC

Severity: wishlist

Merged with 429671

Found in version 3.6.1.0

Blocking fix for 597567: mumudvb: using a questionable username

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Francesco Potorti` <pot@potorti.it>, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Francesco Potorti` <pot@gnu.org>:
New Bug report received and forwarded. Copy sent to Francesco Potorti` <pot@potorti.it>, Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Francesco Potorti` <pot@gnu.org>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: policy needed for user names Debian name space
Date: Thu, 13 May 2004 09:18:52 +0200
Package: debian-policy
Version: 3.6.1.0
Severity: minor

The Debian policy does not define a way for package maintainers to
create Debian-specific user names.  This issues was raised by me about
the console-log package, but was discussed well before, relates to other
packages and in future will probably affect more.  References can be
found in Bug#248481.  

The problem is described in detail below, and a possible solution is
suggested. 

The console-log package uses `Debian-console-log' as a user name.  This
is done so that is does not collide with user names created by the user,
but has a series of drawbacks:

- if you just try `ls -l /proc' you will see that the output is
  misaligned; this is not a bug in ls, it is simply a consequence of the
  fact that the name is so much longer than the usual eight characters.

- if you try `ps uaww' you will see that the user name is truncated to
  eight characters, that is "Debian-", which makes it indistinguishable
  from other user names using the same prefix; this is not a bug in ps,
  because any fixed-width layout would have this problem, and a
  fixed-width layout is necessary in most instances.

- similar problems happen with atop and probably other tools.  The
  reason is that, generally speaking, you want `ls -l' and `ps uaww' to
  give you room for variable lenght file names or process command lines,
  respectively, which are the last fields in the printout, while you
  want all other columns to be fixed-width.

Since a proposed standard for user name spaces already exists at
<http://cr.yp.to/unixaccount.html> which does not involve long names
(but capitalized names instead), I think that Debian policy should
include this topic, and assess that Debian-specific user names should
begin or end with a capital D, be unique in their first eight
characters, and not be longer than, say, ten characters.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26
Locale: LANG=C, LC_CTYPE=it_IT@euro (ignored: LC_ALL set to C)

-- no debconf information



Information forwarded to Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to maintainer. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 248809-maintonly@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Francesco Potorti` <pot@gnu.org>, 248809-maintonly@bugs.debian.org
Subject: Re: Bug#248809: policy needed for user names Debian name space
Date: Thu, 13 May 2004 12:09:33 +0200
On Thu, 13 May 2004 09:18:52 +0200, Francesco Potorti` <pot@gnu.org>
wrote:
>Since a proposed standard for user name spaces already exists at
><http://cr.yp.to/unixaccount.html> which does not involve long names
>(but capitalized names instead), I think that Debian policy should
>include this topic, and assess that Debian-specific user names should
>begin or end with a capital D, be unique in their first eight
>characters, and not be longer than, say, ten characters.

Just for the record, I think that chosing a single letter "D" has way
too much conflict potential.

A more detailed analysis can be found in my answer to #248481.

My proposition would be to adopt one of the examples given by the
existing Debian packages tor, mixminion, sks, exim4 and console-log,
using Debian-${PACKAGE}, or (maybe preferably) ${PACKAGE}-Debian, and
of course to fix our tools to display an account name in its entirety
or (maybe preferable) to offer a configuration option allowing the
user to choose whether she wants to see a neatly aligned table or full
information.

Greetings
Marc

-- 
-------------------------------------- !! No courtesy copies, please !! -----
Marc Haber          |   " Questions are the         | Mailadresse im Header
Karlsruhe, Germany  |     Beginning of Wisdom "     | Fon: *49 721 966 32 15
Nordisch by Nature  | Lt. Worf, TNG "Rightful Heir" | Fax: *49 721 966 31 29



Information forwarded to Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@grep.be>:
Extra info received and forwarded to maintainer. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 248809-maintonly@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@grep.be>
To: Marc Haber <mh+debian-packages@zugschlus.de>, 248809-maintonly@bugs.debian.org
Cc: Francesco Potorti` <pot@gnu.org>
Subject: Re: Bug#248809: policy needed for user names Debian name space
Date: Thu, 13 May 2004 12:29:15 +0200
[Message part 1 (text/plain, inline)]
On Thu, May 13, 2004 at 12:09:33PM +0200, Marc Haber wrote:
> On Thu, 13 May 2004 09:18:52 +0200, Francesco Potorti` <pot@gnu.org>
> wrote:
> >Since a proposed standard for user name spaces already exists at
> ><http://cr.yp.to/unixaccount.html> which does not involve long names
> >(but capitalized names instead), I think that Debian policy should
> >include this topic, and assess that Debian-specific user names should
> >begin or end with a capital D, be unique in their first eight
> >characters, and not be longer than, say, ten characters.
> 
> Just for the record, I think that chosing a single letter "D" has way
> too much conflict potential.
> 
> A more detailed analysis can be found in my answer to #248481.
> 
> My proposition would be to adopt one of the examples given by the
> existing Debian packages tor, mixminion, sks, exim4 and console-log,
> using Debian-${PACKAGE}, or (maybe preferably) ${PACKAGE}-Debian, and
> of course to fix our tools to display an account name in its entirety
> or (maybe preferable) to offer a configuration option allowing the
> user to choose whether she wants to see a neatly aligned table or full
> information.

I'm probably being silly here, but I fail to see the necessity of such a
namespace.

If you create a username such as "exim4" for local purposes, and expect
no namespace conflicts when installing the "exim4" package, IMO it's not
the package at fault. Even if we create usernames like "Debian-foo" or
"foo-Debian", who's to say that this pattern will not be noticed by
people who will then think that the only valid usernames on a Debian
system are those that start, resp. end, with "Debian"?

-- 
         EARTH
     smog  |   bricks
 AIR  --  mud  -- FIRE
soda water |   tequila
         WATER
 -- with thanks to fortune
[signature.asc (application/pgp-signature, inline)]

Information forwarded to Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to maintainer. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 248809-maintonly@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Wouter Verhelst <wouter@grep.be>, 248809-maintonly@bugs.debian.org
Subject: Re: Bug#248809: policy needed for user names Debian name space
Date: Fri, 14 May 2004 08:27:41 +0200
On Thu, 13 May 2004 12:29:15 +0200, Wouter Verhelst <wouter@grep.be>
wrote:
>If you create a username such as "exim4" for local purposes, and expect
>no namespace conflicts when installing the "exim4" package, IMO it's not
>the package at fault. Even if we create usernames like "Debian-foo" or
>"foo-Debian", who's to say that this pattern will not be noticed by
>people who will then think that the only valid usernames on a Debian
>system are those that start, resp. end, with "Debian"?

First, Debian-foo usernames won't be present in gazillions. Second,
adduser could be made to refuse to create non-system Debian-foo
accoutns without a big warning. Third, we will of course prominetly
document that policy.

Greetings
Marc

-- 
-------------------------------------- !! No courtesy copies, please !! -----
Marc Haber          |   " Questions are the         | Mailadresse im Header
Karlsruhe, Germany  |     Beginning of Wisdom "     | Fon: *49 721 966 32 15
Nordisch by Nature  | Lt. Worf, TNG "Rightful Heir" | Fax: *49 721 966 31 29



Information forwarded to Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Wouter Verhelst <wouter@grep.be>:
Extra info received and forwarded to maintainer. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 248809-maintonly@bugs.debian.org (full text, mbox):

From: Wouter Verhelst <wouter@grep.be>
To: Marc Haber <mh+debian-packages@zugschlus.de>, 248809-maintonly@bugs.debian.org
Subject: Re: Bug#248809: policy needed for user names Debian name space
Date: Fri, 14 May 2004 08:51:56 +0200
[Message part 1 (text/plain, inline)]
On Fri, May 14, 2004 at 08:27:41AM +0200, Marc Haber wrote:
> On Thu, 13 May 2004 12:29:15 +0200, Wouter Verhelst <wouter@grep.be>
> wrote:
> >If you create a username such as "exim4" for local purposes, and expect
> >no namespace conflicts when installing the "exim4" package, IMO it's not
> >the package at fault. Even if we create usernames like "Debian-foo" or
> >"foo-Debian", who's to say that this pattern will not be noticed by
> >people who will then think that the only valid usernames on a Debian
> >system are those that start, resp. end, with "Debian"?
> 
> First, Debian-foo usernames won't be present in gazillions.

If that's the case, then what's the point?

> Second, adduser could be made to refuse to create non-system
> Debian-foo accoutns without a big warning.

That could help.

> Third, we will of course prominetly document that policy.

documentation isn't the issue. Ugliness without much added value (IMHO,
at least), is.

-- 
         EARTH
     smog  |   bricks
 AIR  --  mud  -- FIRE
soda water |   tequila
         WATER
 -- with thanks to fortune
[signature.asc (application/pgp-signature, inline)]

Information forwarded to Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to maintainer. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 248809-maintonly@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Wouter Verhelst <wouter@grep.be>, 248809-maintonly@bugs.debian.org
Subject: Re: Bug#248809: policy needed for user names Debian name space
Date: Fri, 14 May 2004 19:14:12 +0200
On Fri, 14 May 2004 08:51:56 +0200, Wouter Verhelst <wouter@grep.be>
wrote:
>On Fri, May 14, 2004 at 08:27:41AM +0200, Marc Haber wrote:
>> First, Debian-foo usernames won't be present in gazillions.
>
>If that's the case, then what's the point?

For a number of packages that need to create local accounts and want
to minimize namespace pollution.

>> Third, we will of course prominetly document that policy.
>
>documentation isn't the issue. Ugliness without much added value (IMHO,
>at least), is.

I am always open for a less ugly solution.

Greetings
Marc

-- 
-------------------------------------- !! No courtesy copies, please !! -----
Marc Haber          |   " Questions are the         | Mailadresse im Header
Karlsruhe, Germany  |     Beginning of Wisdom "     | Fon: *49 721 966 32 15
Nordisch by Nature  | Lt. Worf, TNG "Rightful Heir" | Fax: *49 721 966 31 29



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 248809@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: Marc Haber <mh+debian-packages@zugschlus.de>, 248809@bugs.debian.org
Cc: Wouter Verhelst <wouter@grep.be>
Subject: Re: Bug#248809: policy needed for user names Debian name space
Date: Fri, 14 May 2004 20:12:14 +0200
On Fri, May 14, 2004 at 07:14:12PM +0200, Marc Haber wrote:
> On Fri, 14 May 2004 08:51:56 +0200, Wouter Verhelst <wouter@grep.be>
> wrote:
> >On Fri, May 14, 2004 at 08:27:41AM +0200, Marc Haber wrote:
> >> First, Debian-foo usernames won't be present in gazillions.
> >
> >If that's the case, then what's the point?
> 
> For a number of packages that need to create local accounts and want
> to minimize namespace pollution.

I would submit that the amount of pollution depends on the package name.
For example, I expect there are more people around with a pseudo of exim
than with a pseudo of console-log (though console-log already break the
8-char limit, so dear to some sysadmins and some version of NIS).
Already exim4 is less a problem than exim.

I am personnaly neutral. I agree we should not create account with
random name, but the UNIX tradition is for system account to have short
name. I suspect we need a better technical solution.

The current security trend about priviledge separation leads to the
needs of far more system account. That need to be accounted for.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 248809@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 248809@bugs.debian.org
Subject: Re: Bug#248809: policy needed for user names Debian name space
Date: Sat, 15 May 2004 08:46:29 +0200
On Fri, 14 May 2004 20:12:14 +0200, Bill Allombert
<allomber@math.u-bordeaux.fr> wrote:
>I would submit that the amount of pollution depends on the package name.

What I mean with namespace pollution is that one package currently
uses Debian-package, another uses debian-packages, a third Dpackage
and a fourth _package. This needs to be harmonized.

Greetings
Marc

-- 
-------------------------------------- !! No courtesy copies, please !! -----
Marc Haber          |   " Questions are the         | Mailadresse im Header
Karlsruhe, Germany  |     Beginning of Wisdom "     | Fon: *49 721 966 32 15
Nordisch by Nature  | Lt. Worf, TNG "Rightful Heir" | Fax: *49 721 966 31 29



Severity set to `wishlist'. Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `wishlist' Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to `Debian user namespace for package-created users' from `policy needed for user names Debian name space'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. (Thu, 20 Nov 2008 17:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 20 Nov 2008 17:57:03 GMT) Full text and rfc822 format available.

Message #51 received at 248809@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: debian-devel@lists.debian.org
Cc: 248809@bugs.debian.org
Subject: Re: system users
Date: Thu, 20 Nov 2008 18:54:49 +0100
[Message part 1 (text/plain, inline)]
OoO En ce doux début de  matinée du samedi 15 novembre 2008, vers 08:49,
je disais:

> ,----[ http://wiki.debian.org/AccountHandlingInMaintainerScripts ]
> | A collision free way to  name system accounts should really be mentioned
> | in Debian policy to stop this uncontrolled growth of different methods.
> `----

> Is it  any progress on  this matter? While  more and more  daemon become
> unprivileged or "privilege separation"-able, we get more and more system
> users.

> On  some  systems  like  OpenBSD,  all those  users  are  starting  with
> underscore to avoid  collision with real users. On  Debian, I have never
> seen  this, even  for packages  that comes  from OpenBSD  (like openntpd
> which uses "ntpd"). Is there some drawbacks with underscore?

I wanted  to file a  wishlist bug against  policy about this  matter but
there is already one that exists:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=248809

The bug  is pretty old and the  discussion stopped a few  years ago. The
problem of  too long usernames  when using "Debian-" prefix  was already
mentioned.

The  possibility   to  use  "_${package}"   is  mentioned  once   as  an
example.

IMO, there are three advantages to using underscore:
 - it defines a namespace (like using "Debian-" prefix)
 - the name is kept short
 - it is easy to spot those system names in ps or other tools

Is there some  way to easily retrieve all postinst  scripts to check how
adduser is called?
-- 
printk("autofs: Out of inode numbers -- what the heck did you do??\n"); 
	2.0.38 /usr/src/linux/fs/autofs/root.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. (Thu, 20 Nov 2008 23:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 20 Nov 2008 23:03:03 GMT) Full text and rfc822 format available.

Message #56 received at 248809@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: debian-devel@lists.debian.org
Cc: 248809@bugs.debian.org
Subject: Re: system users
Date: Thu, 20 Nov 2008 22:59:26 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Vincent Bernat said:
> Is there some  way to easily retrieve all postinst  scripts to check how
> adduser is called?

adduser largely exists to be a policy compliant framework for maintainer
script user manipulation.  If policy changes, adduser will too.  The
major pain will be migrating existing user setups to a new username (I
personally don't think it would be worth the pain, but YMMV).
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. (Fri, 21 Nov 2008 07:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Nov 2008 07:21:18 GMT) Full text and rfc822 format available.

Message #61 received at 248809@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: debian-devel@lists.debian.org
Cc: 248809@bugs.debian.org
Subject: Re: system users
Date: Fri, 21 Nov 2008 08:18:33 +0100
[Message part 1 (text/plain, inline)]
OoO En  ce milieu  de nuit  étoilée du vendredi  21 novembre  2008, vers
03:19, Raphael Geissert <atomo64+debian@gmail.com> disait :

>> Is there some  way to easily retrieve all postinst  scripts to check how
>> adduser is called?

> Yup, take a look at lintian.debian.org's lab in gluck.

> It only contains the maintainer scripts of main/i386, though.

Thanks for the tips!

Here is  the list of  package that  name the user  with the name  of the
source package:
 - ajaxterm: ajaxterm
 - approx: approx
 - apt-cacher-ng: apt-cacher-ng
 - asterisk: asterisk
 - backuppc: backuppc
 - bip: bip
 - blootbot: blootbot
 - citadel: citadel
 - clamsmtp: clamsmtp
 - cntlm: cntlm
 - dansguardian: dansguardian
 - debarchiver: debarchiver
 - dnsmasq: dnsmasq
 - docvert: docvert
 - dovecot: dovecot
 - ejabberd: ejabberd
 - email-reminder: email-reminder
 - fcron: fcron
 - fetchmail: fetchmail
 - freevo: freevo
 - gdm: gdm
 - gkrellmd: gkrellmd
 - gnugk: gnugk
 - greylistd: greylistd
 - hobbit: hobbit
 - hplip: hplip
 - interchange: interchange
 - iodine: iodine
 - jffnms: jffnms
 - liquidsoap: liquidsoap
 - maradns: maradns
 - mldonkey: mldonkey
 - motion: motion
 - mpd: mpd
 - mpdscribble: mpdscribble
 - mt-daapd: mt-daapd
 - munin: munin
 - netmrg: netmrg
 - netplan: netplan
 - pdnsd: pdnsd
 - postgrey: postgrey
 - prayer: prayer
 - proftpd: proftpd
 - pyaimt: pyaimt
 - rancid: rancid
 - sbnc: sbnc
 - slidentd: slidentd
 - smtpguard: smtpguard
 - spampd: spampd
 - spong: spong
 - stunnel4: stunnel4
 - sympa: sympa
 - varnish: varnish
 - vdradmin-am: vdradmin-am
 - zabbix: zabbix

The packages  that use a different  name but with no  apparent prefix or
suffix (maybe gforge should not be in this category) :
 - vde2: vde2-net
 - ez-ipupdate: ez-ipupd
 - postfwd: postfw
 - kolabd: kolab
 - openntpd: ntpd
 - tinyerp-server: terp
 - policyd-weight: polw
 - zope-common: zopeuser
 - postgresql-common: postgres
 - pymilter: spf-milter-python
 - nfs-utils: statd
 - nss-ldapd: nslcd
 - net-snmp: snmp
 - gforge: anonscm-gforge scm-gforge www-gforge
 - hylafax: faxmaster
 - hal: haldaemon
 - dbus: messagebud
 - boxbackup: bbstored
 - calendarserver: caldavd
 - dtc-xen: dtc-xen-user
 - tomcat5.5: tomcat55
 - ident2: identd
 - batv-milter: batv-filter
 - nagios3: nagios
 - lastfmsubmitd: lastfm
 - gsmlib: gsmsms
 - mumble: mumble-server
 - openssh: sshd
 - fsp: ftp
 - vsftpd: ftp
 - bind9: bind
 - amavisd-new: amavis
 
And the ones that uses a prefix:
 - exim4: Debian-exim
 - lldpd: _lldpd

The list was built by hand. I hope to have not forgotten anything.

Some random remarks:
 - nobody uses prefixes
 - there are collisions (fsp, vsftpd)
 - some  names collides with  real user names  that I have  met (iodine,
   spong, prayer), this may vary from systems to systems but there is no
   way to override a username

BTW, the problem is similar with groups, especially since the default is
now to create a group for each user.
-- 
I AM NOT THE NEW DALAI LAMA
I AM NOT THE NEW DALAI LAMA
I AM NOT THE NEW DALAI LAMA
-+- Bart Simpson on chalkboard in episode 5F17
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. (Fri, 21 Nov 2008 07:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Nov 2008 07:33:02 GMT) Full text and rfc822 format available.

Message #66 received at 248809@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: debian-devel@lists.debian.org
Cc: 248809@bugs.debian.org
Subject: Re: system users
Date: Fri, 21 Nov 2008 08:24:30 +0100
[Message part 1 (text/plain, inline)]
OoO  En ce  doux début  de matinée  du vendredi  21 novembre  2008, vers
08:18, je disais:

> And the ones that uses a prefix:
> - exim4: Debian-exim
> - lldpd: _lldpd

I have missed console-log and Debian-console-log. I suppose that this is
because it is arch-indep.
-- 
BOFH excuse #433:
error: one bad user found in front of screen
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. (Fri, 21 Nov 2008 07:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Nov 2008 07:36:03 GMT) Full text and rfc822 format available.

Message #71 received at 248809@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: debian-devel@lists.debian.org
Cc: 248809@bugs.debian.org
Subject: Re: system users
Date: Fri, 21 Nov 2008 08:34:18 +0100
On 2008-11-21 08:18 +0100, Vincent Bernat wrote:

> Here is  the list of  package that  name the user  with the name  of the
> source package:
> [...]
>  - zabbix: zabbix

   - postfix: postfix
   - dictd: dictd

> And the ones that uses a prefix:
>  - exim4: Debian-exim
>  - lldpd: _lldpd

   - xfs: debian-xfs

> The list was built by hand. I hope to have not forgotten anything.

At least the three above are missing.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. (Fri, 21 Nov 2008 09:28:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobi <listaccount@e-tobi.net>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Nov 2008 09:30:01 GMT) Full text and rfc822 format available.

Message #76 received at 248809@bugs.debian.org (full text, mbox):

From: Tobi <listaccount@e-tobi.net>
To: debian-devel@lists.debian.org, 248809@bugs.debian.org
Subject: Re: system users
Date: Fri, 21 Nov 2008 10:08:01 +0100
Vincent Bernat wrote:

> Here is  the list of  package that  name the user  with the name  of the
> source package:

    - vdr:vdr

Tobias





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#248809; Package debian-policy. (Fri, 21 Nov 2008 12:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 21 Nov 2008 12:21:03 GMT) Full text and rfc822 format available.

Message #81 received at 248809@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: debian-devel@lists.debian.org
Cc: 248809@bugs.debian.org
Subject: Re: Bug#248809: system users
Date: Fri, 21 Nov 2008 14:18:07 +0200
[Message part 1 (text/plain, inline)]
On Fri, Nov 21, 2008 at 08:18:33AM +0100, Vincent Bernat wrote:
> OoO En  ce milieu  de nuit  ?toil?e du vendredi  21 novembre  2008, vers
> 03:19, Raphael Geissert <atomo64+debian@gmail.com> disait :
> 
> >> Is there some  way to easily retrieve all postinst  scripts to check how
> >> adduser is called?
> 
> > Yup, take a look at lintian.debian.org's lab in gluck.
> 
> > It only contains the maintainer scripts of main/i386, though.
> 
> Thanks for the tips!
> 
> Here is  the list of  package that  name the user  with the name  of the
> source package:
[snip]
> 
> The packages  that use a different  name but with no  apparent prefix or
> suffix (maybe gforge should not be in this category) :
[snip]
>  - fsp: ftp
>  - vsftpd: ftp
>  
[snip]
> Some random remarks:
>  - there are collisions (fsp, vsftpd)

Isn't this one "special"?  They do not add a package-specific user,
rather they add a system user with a well-known name to provide
anonymous FTP access in the traditional manner.  FWIW, proftpd does
this too, as, I assume, most other FTP daemons would want to.

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net    roam@space.bg    roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
This sentence claims to be an Epimenides paradox, but it is lying.
[Message part 2 (application/pgp-signature, inline)]

Merged 248809 429671. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 07 Aug 2009 23:45:02 GMT) Full text and rfc822 format available.

Added indication that bug 248809 blocks 171968 Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Sat, 05 Sep 2009 17:18:10 GMT) Full text and rfc822 format available.

Removed indication that bug 248809 blocks 171968 Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Mon, 18 Jan 2010 16:42:04 GMT) Full text and rfc822 format available.

Added indication that bug 248809 blocks 597567 Request was from Stéphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Fri, 20 Jan 2012 07:39:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:06:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.